## mapserver 6.2.1

=== debian/changelog ===
mapserver (6.2.1-3) unstable; urgency=low

  [ Bas Couwenberg ]
  * Upload for Debian closes: #706157
  * Merge changes from 6.0.1-4: 
    - Migrated to debhelper level 9.
    - Depend on PHP API version instead of libapache2-mod-php5.
    - Bump libgeos-dev build dependency to 3.3.1-1~.
  * Drop possible-gpl-code-linked-with-openssl lintian override.
  * Empty dependency_libs in la files.
  * Use PHP5API variable instead of hardcoded path to la file.
  * Remove RPATH from mapscript libraries.
  * Additional cleanup to allow building twice.
  * Remove unused shlibs:Depends.
  * shp2mysql was removed, no more perl in mapserver-bin.
  * Use --install-layout=deb for python setup.py.
  * Update configure arguments (several no longer supported).
  * Add mapows-contenttype.patch to handle Content-Type headers with a
    charset appended.
  * Drop debian-changes-6.2.1-1 from patch series.
  * Update libgd build dependency to libgd-dev for the libgd2 transition.
  * Enable hardening build flags.
  * Add man page for mapserver utilities:
    - legend
    - msencrypt
    - scalebar
    - shp2img
    - shptree
    - shptreetst
    - shptreevis
    - sortshp
    - tile4ms
    - mapserv
    - mapserver-config
  * Update copyright for v6.2.1. Convert to DEP5 format.
  * Rename libmapserver package to libmapserver-6.2.1 to match SONAME.
  * Add symbols file for libmapserver-6.2.1.so.
  * Add shp2img-typo.patch to fix a typo in the shp2img usage information.
  * Add lintian-overrides for php5-mapscript: unused-debconf-template,
    the maintainer scripts embed a variable in the template name.
  * Bump Standards-Version to 3.9.4 (shared library changes).
  * Replace dpatch with quilt in README.source.
  * Drop README.etch, no longer relevant.
  * Drop README.Debian, no longer used for PHP mapscript.
  * Update TODO.Debian to reflect current status.
  * Add maintainer scripts for libmapserver-6.2.1 to call ldconfig,
    don't call ldconfig for php5-mapscript.
  * Use dh_autoreconf for retooling.

  [ Francesco Paolo Lovergine ]
  * Relaxing dh_makeshlibs checking to avoid failure but document
    changes in symbols.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 14 Jun 2013 22:00:07 +0200

mapserver (6.2.1-2) unstable; urgency=low

  * Add patch php_segfault.

 -- Alan Boudreault <aboudreault@mapgears.com>  Fri, 14 Jun 2013 13:22:58 +0000

mapserver (6.2.1-1) unstable; urgency=low

  * New Upstream release
  * Removed mapscriptperllink patch

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 25 Apr 2013 08:53:21 -0400

mapserver (6.2.0-2) unstable; urgency=low

  * Added heikolein's patch to link mapscript-perl to libmapserver

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 22 Nov 2012 15:21:55 -0500

mapserver (6.2.0-1) unstable; urgency=low

  * New upstream release
  * Added libmapserver package
  * Added patch to fix mapscriptvars to send the right argument to ld
  * Changed php5-mapscript dependencies, removed misc:depends and added
    libapache2-mod-php5 explicitly

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Thu, 15 Nov 2012 13:43:51 +0000

mapserver (6.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Alan Boudreault <aboudreault@mapgears.com>  Tue, 22 May 2012 13:24:16 +0000

mapserver (6.0.1-4) unstable; urgency=low

  * Fixed typo that prevented AGG use in debian/rules.
    (closes: #663875)
  * Now using libpng-dev as b-d.
  * Migrated to debhelper level 9 and policy bumped to 3.9.3. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Mar 2012 21:43:53 +0100
